Bug 1690243 - No table handler registered for type *security.RangeAllocationList
Summary: No table handler registered for type *security.RangeAllocationList
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Mo
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On: 1697814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 06:29 UTC by Liang Xia
Modified: 2019-06-04 10:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:15 UTC

Description Liang Xia 2019-03-19 06:29:51 UTC
Description of problem:
In the CLI, run command "oc get rangeallocations", got error:
Error from server: no table handler registered for this type *security.RangeAllocationList


Version-Release number of selected component (if applicable):
Client Version: version.Info{Major:"4", Minor:"0+", GitVersion:"v4.0.22", GitCommit:"d14915559e", GitTreeState:"", BuildDate:"2019-03-14T21:55:38Z", GoVersion:"", Compiler:"", Platform:""}
Server Version: version.Info{Major:"1", Minor:"12+", GitVersion:"v1.12.4+4fee69b", GitCommit:"4fee69b", GitTreeState:"clean", BuildDate:"2019-03-18T19:16:21Z", GoVersion:"go1.10.3", Compiler:"gc", Platform:"linux/amd64"}
4.0.0-0.alpha-2019-03-18-221255

How reproducible:
Always

Steps to Reproduce:
1. oc get rangeallocations


Actual results:
$ oc get rangeallocations
Error from server: no table handler registered for this type *security.RangeAllocationList


Expected results:
If we have resource type rangeallocations, then show the resource info.
If not, then show proper error message as below.
$ oc get should-not-exist-resource-type
error: the server doesn't have a resource type "should-not-exist-resource-type"

Additional info:
$ oc get rangeallocations --loglevel=9
I0319 13:35:11.341462   11507 loader.go:359] Config loaded from file /home/lxia/test/0319/auth/kubeconfig
I0319 13:35:11.342131   11507 loader.go:359] Config loaded from file /home/lxia/test/0319/auth/kubeconfig
I0319 13:35:11.344637   11507 loader.go:359] Config loaded from file /home/lxia/test/0319/auth/kubeconfig
I0319 13:35:11.348501   11507 loader.go:359] Config loaded from file /home/lxia/test/0319/auth/kubeconfig
I0319 13:35:11.348744   11507 round_trippers.go:386] curl -k -v -XGET  -H "Accept: application/json;as=Table;v=v1beta1;g=meta.k8s.io, application/json" -H "User-Agent: oc/v1.12.4+d14915559e (linux/amd64) kubernetes/d149155" 'https://xxx-qe-cluster-xxx:6443/apis/security.openshift.io/v1/rangeallocations?limit=500'
I0319 13:35:12.719034   11507 round_trippers.go:405] GET https://xxx-qe-cluster-xxx:6443/apis/security.openshift.io/v1/rangeallocations?limit=500 500 Internal Server Error in 1370 milliseconds
I0319 13:35:12.719122   11507 round_trippers.go:411] Response Headers:
I0319 13:35:12.719142   11507 round_trippers.go:414]     Content-Type: application/json
I0319 13:35:12.719162   11507 round_trippers.go:414]     Date: Tue, 19 Mar 2019 05:35:12 GMT
I0319 13:35:12.719178   11507 round_trippers.go:414]     Content-Length: 164
I0319 13:35:12.719194   11507 round_trippers.go:414]     Audit-Id: 8f3eaf09-757a-483e-9267-cc59f89544eb
I0319 13:35:12.719210   11507 round_trippers.go:414]     Cache-Control: no-store
I0319 13:35:12.719227   11507 round_trippers.go:414]     Cache-Control: no-store
I0319 13:35:12.719306   11507 request.go:942] Response Body: {"kind":"Status","apiVersion":"v1","metadata":{},"status":"Failure","message":"no table handler registered for this type *security.RangeAllocationList","code":500}
I0319 13:35:12.719986   11507 helpers.go:201] server response object: [{
  "kind": "Status",
  "apiVersion": "v1",
  "metadata": {},
  "status": "Failure",
  "message": "no table handler registered for this type *security.RangeAllocationList",
  "code": 500
}]
F0319 13:35:12.720041   11507 helpers.go:119] Error from server: no table handler registered for this type *security.RangeAllocationList

Comment 2 Chuan Yu 2019-04-10 07:08:54 UTC
The latest Accepted build 4.0.0-0.nightly-2019-04-05-165550 not include this
fix.

Comment 3 Chuan Yu 2019-04-10 09:55:43 UTC
The fix in 4.0.0-0.nightly-2019-04-08-225815

Comment 4 Chuan Yu 2019-04-11 06:16:44 UTC
Verified.

$ oc get rangeallocations
NAME      RANGE                         DATA
scc-uid   1000000000-1999999999/10000   0x3fffffffffff

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.nightly-2019-04-10-182914   True        False         171m    Cluster version is 4.0.0-0.nightly-2019-04-10-182914

Comment 6 errata-xmlrpc 2019-06-04 10:46:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.